Page MenuHomePhabricator

Deploy Growth features on Esperanto Wikipedia
Closed, ResolvedPublicMar 24 2021

Description

Translations

Help panel

  • Help pages (you can provide either a Wikidata link or a link to your wiki):
TaskTranslation of the labelLink
Manual of styleStilogvidohttps://eo.wikipedia.org/wiki/Vikipedio:Stilogvido
Help:EditingKiel redakti artikolonhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/eo
Inserting images (using the visual editor)Kiel enmeti bildojnhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/eo#Images
Inserting references (using the visual editor)Kiel enmeti referencojnhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/eo#Editing_references
Article WizardKiel krei paĝonhttps://eo.wikipedia.org/wiki/Helpo:Kiel_krei_pa%C4%9Don

Mentorship module (optional)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Trizek-WMF Is this ready for me, since you assigned it to me?

Urbanecm_WMF moved this task from Untriaged to Engineering on the User-Urbanecm_WMF board.

Change 667694 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable Growth features on eowiki in stealth mode

https://gerrit.wikimedia.org/r/667694

@Trizek-WMF Is this ready for me, since you assigned it to me?

Assigned to you and moved to RFD means it is al up to you.

I have a few missing links, but as with the other tasks, I will figure them out with the communities.

Urbanecm_WMF added subscribers: Tgr, Urbanecm_WMF.

@Trizek-WMF Sadly, this cannot be done at this point. According to my conversation with @Tgr, it is necessary to have the extra link for suggested edits (same links as listed from T275130 in "Extra links section"). They are displayed to 50% of our users (variant D) as part of the onboarding, see this:

image.png (734×1 px, 195 KB)

The "learn now here" link will be broken without those links. I assume we want to be able to deploy without those links as part of Growth-Scaling, but until that happens, we can't move forward here.

Also note I don't have descriptions for help panel links, and the page is completely in English, so I don't have anywhere to copy and paste from.

Reassigning back to you for the missing required links.

Since I can't invent links, I will ask the community about the missing link for Suggested Edits. Are these links the only ones you miss?

The "learn now here" link is not missing, since it is the same as the Article Wizard: https://eo.wikipedia.org/wiki/Helpo:Kiel_krei_pa%C4%9Don.

Since I can't invent links, I will ask the community about the missing link for Suggested Edits. Are these links the only ones you miss?

Yes, that should be all I need.

Change 667694 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Growth features on eowiki in stealth mode

https://gerrit.wikimedia.org/r/667694

Mentioned in SAL (#wikimedia-operations) [2021-03-10T19:37:36Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: a130e9f2eab6dec12aec4380efdfd6bde1767aeb: Enable Growth features on eowiki in stealth mode (T276123) (duration: 01m 08s)

Trizek-WMF set Due Date to Mar 23 2021, 11:00 PM.Mar 10 2021, 8:06 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 10 2021, 8:40 PM
Urbanecm_WMF changed Due Date from Mar 23 2021, 11:00 PM to Mar 24 2021, 8:00 PM.Mar 16 2021, 8:47 AM

Change 673498 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Esperanto special page aliases

https://gerrit.wikimedia.org/r/673498

Change 673498 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Esperanto special page aliases

https://gerrit.wikimedia.org/r/673498

The interface remains 6% translated only. I left a message to the community about it, saying that we plan to deploy no matter what.

Change 674652 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Promote several Growth target wikis out of dark mode

https://gerrit.wikimedia.org/r/674652

Change 674652 merged by jenkins-bot:
[operations/mediawiki-config@master] Promote several Growth target wikis out of dark mode

https://gerrit.wikimedia.org/r/674652

Mentioned in SAL (#wikimedia-operations) [2021-03-24T18:31:21Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 5aa050602954a3cab0c7e0c4b10efb0f957efb59: Promote several Growth target wikis out of dark mode (T277491; T276830; T276123; T276816; T275550; T276450) (duration: 01m 08s)

@Trizek-WMF Hi, the wiki was pushed out of dark mode. Let me know if there is anything I should change.